Bug 1030154 - Review Request: cmdfs - Command Filesystem
Review Request: cmdfs - Command Filesystem
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 22:05 EST by Christopher Meng
Modified: 2014-04-25 09:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-13 22:05:35 EST
Spec URL: http://cicku.me/cmdfs.spec
SRPM URL: http://cicku.me/cmdfs-0.5-1.fc21.src.rpm
Description: This is a FUSE filesystem which exposes a view of a source filesystem. A shell command generates the contents of the files on request, perhaps from the source files. Configurable caching and monitoring of the source tree to limit CPUand prefetch data.
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-11-17 13:53:15 EST
Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6191014

From build.log:

fuse: device not found, try 'modprobe fuse' first

Could be the reason that the tests fail. I don't know if it is possible to create a temporary FUSE filesystem on a Koji server, Root privileges are needed to load the kernel module.
Comment 2 Christopher Meng 2013-11-18 07:07:31 EST
(In reply to Mario Blättermann from comment #1)
> Could be the reason that the tests fail. I don't know if it is possible to
> create a temporary FUSE filesystem on a Koji server, Root privileges are
> needed to load the kernel module.

No, just scratched and failed.

Should I ask for an enhancement?

----------------

-2 Disable the check section:

Spec URL: http://cicku.me/cmdfs.spec
SRPM URL: http://cicku.me/cmdfs-0.5-2.fc21.src.rpm
Comment 3 Pavel Alexeev 2014-04-25 09:13:44 EDT
$ LANG=C wget -c http://cicku.me/cmdfs.spec
--2014-04-25 17:13:34--  http://cicku.me/cmdfs.spec
Resolving cicku.me (cicku.me)... 37.59.54.136
Connecting to cicku.me (cicku.me)|37.59.54.136|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-04-25 17:13:34 ERROR 404: Not Found.

Note You need to log in before you can comment on or make changes to this bug.